## ros-rolling-rcl-action 7.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,9 +15,10 @@
   set(CMAKE_C_STANDARD 11)
 endif()
 
-# Default to C++14
+# Default to C++17
 if(NOT CMAKE_CXX_STANDARD)
-  set(CMAKE_CXX_STANDARD 14)
+  set(CMAKE_CXX_STANDARD 17)
+  set(CMAKE_CXX_STANDARD_REQUIRED ON)
 endif()
 
 if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
@@ -45,7 +46,7 @@
 
 target_include_directories(${PROJECT_NAME} PUBLIC
   "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
-  "$<INSTALL_INTERFACE:include>")
+  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
 
 ament_target_dependencies(${PROJECT_NAME}
   "action_msgs"
@@ -62,7 +63,7 @@
 
 install(
   DIRECTORY include/
-  DESTINATION include
+  DESTINATION include/${PROJECT_NAME}
 )
 
 install(TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME}
@@ -85,7 +86,6 @@
   )
   if(TARGET test_action_client)
     target_include_directories(test_action_client PUBLIC
-      include
       src
     )
     target_link_libraries(test_action_client
@@ -119,9 +119,6 @@
         PUBLIC "RMW_IMPLEMENTATION=${rmw_implementation}")
         target_compile_definitions(${target}${target_suffix}
           PUBLIC RCUTILS_ENABLE_FAULT_INJECTION)
-      target_include_directories(${target}${target_suffix} PUBLIC
-        include
-      )
       target_link_libraries(${target}${target_suffix}
         ${PROJECT_NAME}
       )
@@ -151,7 +148,6 @@
   )
   if(TARGET test_action_server)
     target_include_directories(test_action_server PUBLIC
-      include
       src
     )
     target_link_libraries(test_action_server
@@ -168,9 +164,6 @@
     test/rcl_action/test_goal_handle.cpp
   )
   if(TARGET test_goal_handle)
-    target_include_directories(test_goal_handle PUBLIC
-      include
-    )
     target_link_libraries(test_goal_handle
       ${PROJECT_NAME}
     )
@@ -189,9 +182,6 @@
     test/rcl_action/test_types.cpp
   )
   if(TARGET test_types)
-    target_include_directories(test_types PUBLIC
-      include
-    )
     target_link_libraries(test_types
       ${PROJECT_NAME}
     )
@@ -224,10 +214,14 @@
   endif()
 endif()
 
+# Export old-style CMake variables
+ament_export_include_directories("include/${PROJECT_NAME}")
+ament_export_libraries(${PROJECT_NAME})
+
+# Export modern CMake targets
+ament_export_targets(${PROJECT_NAME})
+
 # specific order: dependents before dependencies
-ament_export_include_directories(include)
-ament_export_libraries(${PROJECT_NAME})
-ament_export_targets(${PROJECT_NAME})
 ament_export_dependencies(action_msgs)
 ament_export_dependencies(ament_cmake)
 ament_export_dependencies(rcl)
