=== debian/changelog ===
ros-rolling-rcl-action (7.1.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-rcl-action (7.1.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rcl-action (7.0.0-1jammy) jammy; urgency=high

  * Add ~/get_type_description service (rep2011) (#1052 <https://github.com/ros2/rcl/issues/1052>)
  * Modifies timers API to select autostart state (#1004 <https://github.com/ros2/rcl/issues/1004>)
  * Contributors: Eloy Briceno, Hans-Joachim Krauch

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rcl-action (6.3.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 12 Jun 2023 00:00:00 -0000

ros-rolling-rcl-action (6.2.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-rcl-action (6.1.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rcl-action (6.1.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-rcl-action (6.0.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-rcl-action (6.0.0-1jammy) jammy; urgency=high

  * doc update, ROS message accessibility depends on RMW implementation. (#1043 <https://github.com/ros2/rcl/issues/1043>)
  * Contributors: Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-rcl-action (5.9.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 01 Mar 2023 00:00:00 -0000

ros-rolling-rcl-action (5.8.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 23 Feb 2023 00:00:00 -0000

ros-rolling-rcl-action (5.7.0-1jammy) jammy; urgency=high

  * Update rcl to C++17. (#1031 <https://github.com/ros2/rcl/issues/1031>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-rolling-rcl-action (5.6.0-1jammy) jammy; urgency=high

  * Reduce result_timeout to 10 seconds. (#1012 <https://github.com/ros2/rcl/issues/1012>)
  * [rolling] Update maintainers - 2022-11-07 (#1017 <https://github.com/ros2/rcl/issues/1017>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 05 Dec 2022 00:00:00 -0000

ros-rolling-rcl-action (5.5.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rcl-action (5.4.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rcl-action (5.4.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-rcl-action (5.3.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 Apr 2022 00:00:00 -0000

ros-rolling-rcl-action (5.3.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-rolling-rcl-action (5.2.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 31 Mar 2022 00:00:00 -0000

ros-rolling-rcl-action (5.2.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 24 Mar 2022 00:00:00 -0000

ros-rolling-rcl-action (5.1.0-1jammy) jammy; urgency=high

  * Add Events Executor (#839 <https://github.com/ros2/rcl/issues/839>)
  * Install includes it include/${PROJECT_NAME} (#959 <https://github.com/ros2/rcl/issues/959>)
  * Contributors: Shane Loretz, iRobot ROS

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-rcl-action (5.0.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-rcl-action (5.0.0-1jammy) jammy; urgency=high

  * Fix up documentation build for rcl_action when using rosdoc2 (#937 <https://github.com/ros2/rcl/issues/937>)
  * Contributors: Michel Hidalgo

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 14 Dec 2021 00:00:00 -0000

ros-rolling-rcl-action (4.0.0-1jammy) jammy; urgency=high

  * Fix expired goals capacity of action server (#931 <https://github.com/ros2/rcl/issues/931>)
  * Contributors: spiralray

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 16 Sep 2021 00:00:00 -0000

ros-rolling-rcl-action (3.2.0-1jammy) jammy; urgency=high

  * Wait for action server in rcl_action comm tests. (#919 <https://github.com/ros2/rcl/issues/919>)
  * Contributors: Michel Hidalgo

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 02 Sep 2021 00:00:00 -0000

ros-rolling-rcl-action (3.1.2-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 26 Apr 2021 00:00:00 -0000

ros-rolling-rcl-action (3.1.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 12 Apr 2021 00:00:00 -0000

ros-rolling-rcl-action (3.1.0-1jammy) jammy; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#909 <https://github.com/ros2/rcl/issues/909>)
  * Contributors: shonigmann

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-rcl-action (3.0.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 25 Mar 2021 00:00:00 -0000

ros-rolling-rcl-action (3.0.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 23 Mar 2021 00:00:00 -0000

ros-rolling-rcl-action (2.6.0-1jammy) jammy; urgency=high

  * Don't expect RCL_RET_TIMEOUT to set an error string (#900 <https://github.com/ros2/rcl/issues/900>)
  * Add support for rmw_connextdds (#895 <https://github.com/ros2/rcl/issues/895>)
  * Contributors: Andrea Sorbini


